#container{
  height:89.9vh;
  width: 70vw;
  background: rgba(150, 150, 150, 0.7);
  margin-left:15vw;
  margin-top:0.9vw;

}

#header{
  text-align: center;
  font:xx-large bolder;
  color: rgba(82, 30, 99, 0.9);
}

#header p{
  padding-top: 1vh;
}

.carousel-box{
  margin-top: 1.5vh;
  width: 50vw;
  height: 80vh;
  background: rgba(150, 150, 150, 0.7);
  display: inline-block;
}

.flip-card {
  width: 100%;
  height: 90%;
}

#flip-card-inner {
  position: relative;
  width: 100%;
  height: 100%;
  transition: transform 0.8s;
  transform-style: preserve-3d;
}

.flip-card:hover #flip-card-inner {
  transform: rotateY(180deg);
}

.flip-card-front, .flip-card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  backface-visibility: hidden;
}

.flip-card-back {
  background-color:rgba(150, 150, 150, 0.7) ;
  color: white;
  transform: rotateY(180deg);
}

:host ::ng-deep .check{
  border:none;
  width:50%;
  height:10%;
  cursor: pointer;
  background-color: rgba(82, 30, 99, 0.9);
  font-size: 40px;
  color: black;
  text-align: center;
}
:host ::ng-deep .check:hover{
  opacity: 0.6;
  background-color: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .no{
  border:none;
  width:50%;
  height:10%;
  background-color: rgba(150, 150, 150, 0.7);
  font-size: 40px;
  cursor: pointer;
  color: white;
}

:host ::ng-deep .no:hover{
  opacity: 0.6;
  color: black;
  background-color: rgba(150, 150, 150, 0.7);
}

#image {
  margin: 3%;
}

#car-name{
  width: 10vw;
  height: 10vh;
  margin-left: 50%;
  margin-top: -27%;
}
#car-name-input{
  margin-left: 110%;
  margin-top: -20000px;
}

#price{
  margin-left: 50%;
  width:10vw;
  height: 10vh;
}

#year{
  width:10vw;
  height: 10vh;
  margin-left: 50%;
}

#other{
  margin-top: 2%;
  margin-left: 3%;
  border:3px solid black;
  color: black;
  width:94%;
  height:35%;
}

/*general window settings*/
.window{
  display: flex;
  align-items: center;
  width: 70vw;
  left: 15vw;
  background: rgba(150, 150, 150, 0.7);
}

/*filter window settings*/
#filter-window{
  flex-direction: row;
  justify-content: space-around;
  align-items: center;
  position: absolute;
  top: 2vh;
  height: 6vh;
}

#filter-window>div{
  /*margin-left: 1vh;*/
  margin-right: 2vh;
}

#tag_container{
  display: flex;
  flex-direction: row;
  width: 62vw;
}

#tag_container>div{
  margin-left: 1vh;
}

:host ::ng-deep .tag-cls{
  background: rgba(82, 30, 99, 0.9);
}

#main-window{
  flex-direction: column;
  position: absolute;
  top: 10vh;
  height: 90vh;
}


:host ::ng-deep .button{
  background: rgba(82, 30, 99, 0.9);
  border-color: white;
  width: 6vw;
  left: 1vh;
}

:host ::ng-deep .button:hover{
  background: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .button-cars{
  background: rgba(82, 30, 99, 0.9);
  border-color: white;
  width: 8vw;
  left: 1vh;
}

:host ::ng-deep .button-cars:hover{
  background: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .chosen_cars_sidebar{
  background: rgba(82, 30, 99, 0.9);
  height: 100vh;
  width: 20vw;
}

#main-window{
  flex-direction: column;
  position: absolute;
  top: 10vh;
  height: 90vh;
}


#user_change_property_wrapper{
  position: fixed;
  right: 5vh;
  top: 2.5vh;
}

#user_change_property_wrapper :hover{
  transform: scale(0.9, 0.9);
}

#user_change{
  transform: scale(1.05, 1.05);
  background:  rgba(82, 30, 99, 0.9);
  border: none;
}

/*new ad button css*/
#new_ad_wrapper{
  position: fixed;
  right: 5vh;
  top: 9.5vh;
}

#new_ad_wrapper :hover{
  transform: scale(0.9, 0.9);
}

#new_ad{
  transform: scale(1.05, 1.05);
  background:  rgba(82, 30, 99, 0.9);
  border: none;
}


/*my ads button*/
#my_ads_wrapper{
  position: fixed;
  right: 5vh;
  top: 16.5vh;
}

#my_ads_wrapper :hover{
  transform: scale(0.9, 0.9);
}

#my_ads{
  transform: scale(1.05, 1.05);
  background:  rgba(82, 30, 99, 0.9);
  border: none;
}

:host ::ng-deep .dialog>div:first-of-type{
  display: flex;
  justify-content: space-around;
}

:host ::ng-deep .dialog>div:last-of-type{
  display: flex;
  justify-content: center;
}

:host ::ng-deep .car-button{
  border:none;
  background-color: rgba(82, 30, 99, 0.9);
  cursor:pointer;
  width:98%;
  margin-top:1vh;
}

:host ::ng-deep .car-button:hover{
  background-color: rgba(82, 30, 99, 0.9);
}

:host ::ng-deep .dialog>div{
  background:  rgba(82, 30, 99, 0.9);
  color: white;
}
.container{
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 100%;
  height: 100%;
}

.container>div{
  margin-top: 2%;
  margin-left: 7%;
}


:host ::ng-deep .sidebar{
  background: rgba(82, 30, 99, 0.9);
}

/*sidebar items*/
/*global*/
:host ::ng-deep .dropdown{
  width: 100%;
  background: white;
  color: white;
}

.dropdown_container>div{
  margin-top: 6%;
  width: 70%;
}

/*specific*/
#filter_image{
  width: 40%;
}

#filter-img{
  width: 100%;
}

:host ::ng-deep .age_slider{
  background: white;
  color: rgba(82, 30, 99, 0.9);
  width: 100%;
}

#age_slider_wrapper{
  margin-top: 10%;
  width: 67%;
}

#age-label{
  color: white;
  padding-top: 5%;
}


#price_slider_wrapper{
  margin-top: 15%;
  width: 67%;
}

#price-label{
  color: white;
  padding-top: 5%;
}


#colors_container{
  display: flex;
  flex-direction: column;
}

#colors-first{
  width: 70%;
}
#colors-second{
  width: 70%;
}

.p-button{
  transform: scale(0.8, 0.8);
  border-color: white;
  border-width: 2px;
  float: left;
  height: 90%;
}

#black{
  background: black;
}

#white{
  background: white;
}

#blue{
  background: rgb(44, 9, 184);
}

#yellow{
  background: rgb(250, 242, 7);
}

#green{
  background: rgb(10, 145, 17);
}

#gray{
  background: rgb(90, 99, 90);
}

#orange{
  background: rgb(219, 112, 4);
}

#red{
  background: rgb(173, 22, 14);
}

#filter_submit_wrapper{
  display: flex;
  margin-left: 20%;
  margin-top: 5vh;
}
